<div class="card-header">
    Ganti Password
</div>
<div class="card-body">
    <form class="manage-profile-password" action="@{storeManageProfilePassword()}" method="post">
    #{authenticityToken /}
        <input type="hidden" name="model.action" value="${action}">
        <input type="hidden" name="model.id" value="${model?.id}">
        <div class="form-group">
            <label for="model.password" class="col-sm-4 control-label">Password</label>
            <div class="col-sm-12 #{errorClass 'model.password'/}">
                <div class="ui fluid icon input">
                    <input type="password" name="model.password" placeholder="Silahkan masukkan password baru anda"
                           class="form-control" id="password">
                    <i class="password eye icon link slash"></i>
                </div>
                <span class="help-block">#{error 'model.password' /}</span>
            </div>
        </div>
        <div class="form-group">
            <label for="model.repeat" class="col-sm-4 control-label">Ulangi Password</label>
            <div class="col-sm-12 #{errorClass 'model.password'/}">
                <div class="ui fluid icon input">
                    <input type="password" name="model.repeat" placeholder="Silahkan ulangi password baru anda"
                           class="form-control">
                    <i class="ulangi eye icon link slash"></i>
                </div>
                <span class="help-block">#{error 'model.repeat' /}</span>
            </div>
        </div>
        <div class="form-group">
            <div class="row centered-element">
                <button type="button" class="btn btn-success save-button-password">
                    <i class="fa fa-exchange"></i> Ganti Password
                </button>
            </div>
        </div>
    </form>
</div>
#{set 'tabGantiPassword' }
<style type="text/css" rel="stylesheet">
    div.help-block {position: absolute;top: 40px;}
    .password-strength-indicator {
        border: 1px solid transparent;
        border-radius: 3px;
        display: inline-block;
        min-height: 18px;
        min-width: 80px;
        text-align: center;
        top: 40px;
        position: absolute;
    }

    .password-strength-indicator.very-weak {
        background: #cf0000;
        border-color: #a60000;
    }

    .password-strength-indicator.weak {
        background: #f6891f;
        border-color: #c56e19;
    }

    .password-strength-indicator.mediocre {
        background: #eeee00;
        border-color: #d6d600;
    }

    .password-strength-indicator.strong {
        background: #99ff33;
        border-color: #7acc29;
    }

    .password-strength-indicator.very-strong {
        background: #22cf00;
        border-color: #1B9900;
    }
</style>
<script type="text/javascript" src="@{'public/javascripts/jquery.passwordstrength.js'}"></script>
<script type="text/javascript">
    function showPassword(input) {
        $("input[name='" + input + "']").attr("type", "text");
    }

    function hidePassword(input) {
        $("input[name='" + input + "']").attr("type", "password");
    }

    $(function () {
        $("#password").passwordStrength();
    });
    $('#password').keyup(function () {
        var password = $("input[name='model.password']").val();
        if (password == "") {
            $("input[name='model.repeat']").valid();
        }
    });
    $('i.password.eye.icon.link').click(function () {
        let slash = $(this).hasClass("slash");
        if (slash) {
            $(this).removeClass("slash");
            showPassword("model.password");
        } else {
            $(this).addClass("slash");
            hidePassword("model.password");
        }
    });
    $('i.ulangi.eye.icon.link').click(function () {
        let slash = $(this).hasClass("slash");
        if (slash) {
            $(this).removeClass("slash");
            showPassword("model.repeat");
        } else {
            $(this).addClass("slash");
            hidePassword("model.repeat");
        }
    });
    $(document).ready(function () {
        let userPass = {
            rules: {
                'model.password': 'required',
                'model.repeat': {
                    required: {
                        depends: function (element) {
                            let password = $("#password").val();
                            if (password != "") {
                                return true;
                            } else {
                                return false;
                            }
                        }
                    }
                }
            },
            messages: {
                'model.password': 'Password belum diisi!',
                'model.repeat': 'Ulangi Password belum diisi!'
            }
        }
        $('.manage-profile-password').validate({
            ignore: [],
            rules: userPass.rules,
            messages: userPass.messages,
            errorElement: 'div',
            errorClass: 'help-block',
            focusInvalid: false,
            errorPlacement: function (error, element) {
                console.log(element);
                error.insertAfter(element);
            },
            highlight: function (element) {
                $(element).closest('.form-group').addClass('has-error');
            },
            unhighlight: function (element) {
                $(element).closest('.form-group').removeClass('has-error');
            },
            success: function (label, element) {
                label.closest('.form-group').removeClass('has-error');
                label.remove();
            },
        });

        $('.save-button-password').click(function (e) {
            e.preventDefault();
            if (!$('.manage-profile-password').valid()) {
                return
            }
            $('.manage-profile-password').submit()
        });
    });
</script>
#{/set}